package com.djhk.uav.equ.domain;

import com.djhk.common.annotation.Excel;

import com.djhk.common.core.domain.BaseEntity;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 设备类别对象 equ_type
 * 
 * @author huangqingguo
 * @date 2023-06-02
 */
public class EquType extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 类别标识 */
    private String typeId;

    /** 类别名称 */
    @Excel(name = "类别名称")
    private String typeName;

    /** 启用标志 */
    @Excel(name = "启用标志")
    private String useFlag;

    /** 显示顺序 */
    @Excel(name = "显示顺序")
    private Long showOrder;

    /** 动态模型 */
    @Excel(name = "动态模型")
    private Long dynModelFile;

    /** 静态模型 */
    @Excel(name = "静态模型")
    private Long staModelFile;

    /** 图标 */
    @Excel(name = "图标")
    private Long iconFile;

    public void setTypeId(String typeId) 
    {
        this.typeId = typeId;
    }

    public String getTypeId() 
    {
        return typeId;
    }
    public void setTypeName(String typeName) 
    {
        this.typeName = typeName;
    }

    public String getTypeName() 
    {
        return typeName;
    }
    public void setUseFlag(String useFlag) 
    {
        this.useFlag = useFlag;
    }

    public String getUseFlag() 
    {
        return useFlag;
    }
    public void setShowOrder(Long showOrder) 
    {
        this.showOrder = showOrder;
    }

    public Long getShowOrder() 
    {
        return showOrder;
    }
    public void setDynModelFile(Long dynModelFile) 
    {
        this.dynModelFile = dynModelFile;
    }

    public Long getDynModelFile() 
    {
        return dynModelFile;
    }
    public void setStaModelFile(Long staModelFile) 
    {
        this.staModelFile = staModelFile;
    }

    public Long getStaModelFile() 
    {
        return staModelFile;
    }
    public void setIconFile(Long iconFile) 
    {
        this.iconFile = iconFile;
    }

    public Long getIconFile() 
    {
        return iconFile;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("typeId", getTypeId())
            .append("typeName", getTypeName())
            .append("useFlag", getUseFlag())
            .append("showOrder", getShowOrder())
            .append("dynModelFile", getDynModelFile())
            .append("staModelFile", getStaModelFile())
            .append("iconFile", getIconFile())
            .toString();
    }
}
